# $Revision: 1.19 $, $Date: 2002/05/25 22:46:06 $
Summary:	Decompressor for .arj format archives
Summary(de):	Dekomprimierer fr .arj-Archive
Summary(es):	Descompresor para archivos en formato .arj
Summary(fr):	Dcompresseur pour les archives .arj
Summary(pl):	Program rozpakowujcy archiwa ARJ
Summary(pt_BR):	Descompactador para arquivos no formato .arj
Summary(ru):	     .arj
Summary(tr):	ARJ biimindeki arivleri aan ara
Summary(uk):	  Ȧ ̦  .arj
Name:		unarj
Version:	2.43
Release:	11
Group:		Applications/Archiving
License:	distributable
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/compress/%{name}-%{version}.tar.gz
Patch0:		%{name}-opt.patch
Patch1:		%{name}-subdir.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The unarj program is used to uncompress .arj format archives, which
were somewhat popular on DOS based machines.

%description -l de
Das Programm 'unarj' dient zum Dekomprimieren von Archiven im
.arj-Format, das auf DOS-Rechnern einigermaen beliebt ware.

%description -l es
El programa unarj se usa para descomprimir almacenajes en formato
.arj, que era algo popular en mquinas DOS.

%description -l fr
Le programme unarj est utilis pour dcompresser des archives au
format .arj, qui ont t trs rpandeus sur les systmes DOS.

%description -l pl
Program unarj umoliwa rozpakowanie archiww w formacie ARJ,
popularnym w systemach opartych o DOS.

%description -l pt_BR
O programa unarj  usado para descomprimir armazenagens em formato
.arj, que era algo popular em mquinas DOS.

%description -l ru
 unarj      .arj,
    DOS.

%description -l tr
unarj, arj biimindeki arivler iin ama programdr. ARJ, DOS
tabanl makinelerde ska kullanlan bir sktrma biimidir.

%description -l uk
 unarj դ  Ӧ Ȧצ  .arj,
   צԦ DOS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} clean
%{__make} \
	CC=%{__cc} \
	CFLAGS="-Wall -ansi -pedantic -DUNIX %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install unarj $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc unarj.doc
%attr(755,root,root) %{_bindir}/unarj

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: unarj.spec,v $
Revision 1.19  2002/05/25 22:46:06  qboosh
- new %%doc

Revision 1.18  2002/05/25 12:05:32  kloczek
- release 11,
- merge subdir patch from rawhide for subdirectory creation for the x command,
- merge translations from KSI,
- make clean before start building unarj (dist tar ball contain x86 binaries).

Revision 1.17  2002/05/12 20:14:28  ankry
- Caps in description

Revision 1.16  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:15:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/08/21 18:42:21  qboosh
- fixed %%prep, s/Copyright/License/

Revision 1.13  2001/08/19 22:51:10  kloczek
- updated to 2.43 (release 9),
- merged translations from CNV.

Revision 1.12  2001/05/03 01:14:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.11  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/04/01 11:15:44  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.8  1999/07/12 23:06:16  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Feb 25 1999 Maciej Leniewski <nimir@kis.p.lodz.pl>
  [2.41a-10]
- fixed gziped docs.

* Thu Feb 10 1999 Micha Kuratczyk <kurkens@polbox.com>
  [2.41a-9]
- added Group(pl)
- sloted BuildRoot into PLD standard
- added gzipping man page

* Wed Nov 13 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.41a-8]
- fixed passing $RPM_OPT_FLAGS flags.

* Wed Jun 17 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
- added pl translation,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- added using $RPM_OPT_FLAGS during compile,
- added %attr and %defattr macros in %files (allows build package from
  non-root account).

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
